aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/run_tests
diff options
context:
space:
mode:
authorGravatar Alexander Polcyn <apolcyn@google.com>2017-11-13 20:48:20 -0800
committerGravatar Alexander Polcyn <apolcyn@google.com>2017-11-13 20:48:20 -0800
commit16ba80c850567c351a425bc9c14c84ed23220b86 (patch)
treecd7af33dd97e112a59135b775ac7b8c5d5a453d9 /tools/run_tests
parent248c4f5848c8761fc16352e1f2f1e6d047780b4e (diff)
parentb0bad8f3864dc9c8745736fe68efe513b2b84932 (diff)
Merge remote-tracking branch 'upstream/master' into pass_args_to_tsi
Diffstat (limited to 'tools/run_tests')
-rwxr-xr-xtools/run_tests/sanity/check_clang_tidy.sh21
-rw-r--r--tools/run_tests/sanity/sanity_tests.yaml3
2 files changed, 23 insertions, 1 deletions
diff --git a/tools/run_tests/sanity/check_clang_tidy.sh b/tools/run_tests/sanity/check_clang_tidy.sh
new file mode 100755
index 0000000000..42ab511a20
--- /dev/null
+++ b/tools/run_tests/sanity/check_clang_tidy.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+# Copyright 2017 gRPC authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e
+
+make buildtests \
+ -j `python -c 'import multiprocessing; print multiprocessing.cpu_count()'`
+find src/core src/cpp test/core test/cpp -name '*.h' -or -name '*.cc' | \
+ xargs tools/distrib/run_clang_tidy.py $*
diff --git a/tools/run_tests/sanity/sanity_tests.yaml b/tools/run_tests/sanity/sanity_tests.yaml
index 4bc4b7c56f..3ca5c1b6c0 100644
--- a/tools/run_tests/sanity/sanity_tests.yaml
+++ b/tools/run_tests/sanity/sanity_tests.yaml
@@ -17,4 +17,5 @@
- script: tools/distrib/pylint_code.sh
- script: tools/distrib/yapf_code.sh
- script: tools/distrib/python/check_grpcio_tools.py
-
+- script: tools/run_tests/sanity/check_clang_tidy.sh
+ cpu_cost: 1000